Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154294 - [Regression] kdelibs-3.4.0-3 messes up rendering of certain websites in konqueror.
Summary: [Regression] kdelibs-3.4.0-3 messes up rendering of certain websites in konqu...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-09 08:12 UTC by Ismael Juma
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 09:42:24 UTC


Attachments (Terms of Use)
Website rendered with kdelibs-3.4.0-2 (deleted)
2005-04-09 08:14 UTC, Ismael Juma
no flags Details
Website rendered with kdelibs-3.4.0-3 (deleted)
2005-04-09 08:14 UTC, Ismael Juma
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 20949 None None None Never

Description Ismael Juma 2005-04-09 08:12:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux 2.6.11.5; X11; i686; en_GB) KHTML/3.4.0 (like Gecko)

Description of problem:
Something in the update from kdelibs-3.4.0-2 to kdelibs-3.4.0-3 messes up the 
spacing in the rendering of websites in konqueror. 
 
I will attach two screenshots that show this perfectly.  

Version-Release number of selected component (if applicable):
kdelibs-3.4.0-3

How reproducible:
Always

Steps to Reproduce:
1. Go to 
https://www.redhat.com/archives/fedora-maintainers/2005-April/thread.html 
2. 
3. 
   

Actual Results:  Threads are not properly rendered in the website. 

Expected Results:  Threads should be properly rendered as it happened in previous version of 
program. 

Additional info:

Comment 1 Ismael Juma 2005-04-09 08:14:03 UTC
Created attachment 112906 [details]
Website rendered with kdelibs-3.4.0-2

Comment 2 Ismael Juma 2005-04-09 08:14:52 UTC
Created attachment 112907 [details]
Website rendered with kdelibs-3.4.0-3

Comment 3 Ngo Than 2005-04-09 09:57:17 UTC
it's a bug in new gcc-4.0.0-0.40, which caused to miscompile the qt/kde again.
i have rebuilt kdelibs with old gcc-4.0.0-0.34 and it works fine.

i try to locate the problem.

Comment 4 Frederick Alexander Thomssen 2005-04-09 17:29:47 UTC
it also works with gcc-4.0.0-0.38 
 
freddy 

Comment 5 Frederick Alexander Thomssen 2005-04-10 06:14:30 UTC
btw, most probably you already know that it is a problem with KHTML - it is  
the only directory i had to recompile with gcc-4.0.0-0.38 to make it work 
again 
 
freddy 

Comment 6 Ismael Juma 2005-04-13 17:25:28 UTC
The following has fixed the problem for me. 
 
>rawhide report: 20050413 changes 
 
> kdelibs-6:3.4.0-4 
> ----------------- 
> * Tue Apr 12 2005 Than Ngo <than@redhat.com> 6:6:6:6:6:6:3.4.0-4 
> - add workaround for #154294 
 
Should I close the bug? 

Comment 7 Stanislav Petr 2005-04-14 16:30:00 UTC
kdelibs-3.4.0-4 is OK. 

Comment 8 Ngo Than 2005-04-25 09:42:24 UTC
it's now fixed in current rawhide


Note You need to log in before you can comment on or make changes to this bug.